# find-requires also extracts version, which is then misunderstood by
# rpm. therefore, forcing require skipping of File::Spec - which is
# nevertheless required by perl-PathTools
%global __requires_exclude perl.File::Spec.

%define upstream_name    ORLite-Migrate
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Extremely light weight SQLite-specific schema migration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/A/AD/ADAMK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite) >= 1.210.0
BuildRequires: perl(DBI) >= 1.580.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(File::Path) >= 2.40.0
BuildRequires: perl(File::Spec) >= 3.270.100
BuildRequires: perl(File::Which) >= 1.70.0
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(inc::Module::Install::DSL)
BuildRequires: perl(IPC::Run3) >= 0.42.0
BuildRequires: perl(ORLite) >= 1.280.0
BuildRequires: perl(Params::Util) >= 0.370.0
BuildRequires: perl(Probe::Perl) >= 0.10.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-PathTools
BuildArch:  noarch

Requires:   perl(IPC::Run3)
Requires:   perl-PathTools
%description
SQLite is a light weight single file SQL database that provides an
excellent platform for embedded storage of structured data.

ORLite is a light weight single class Object-Relational Mapper (ORM)
system specifically designed for (and limited to only) work with SQLite.

ORLite::Migrate is a light weight single class Database Schema Migration
enhancement for ORLite.

It provides a simple implementation of schema versioning within the
SQLite database using the built-in user_version pragma (which is set to
zero by default).

When setting up the ORM class, an additional timeline parameter is
provided, which should point to a directory containing standalone
migration scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.100.0-13.mga9
+ Revision: 1818970
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-12.mga8
+ Revision: 1505770
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.100.0-11.mga7
+ Revision: 1285448
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.100.0-10.mga7
+ Revision: 1166103
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.100.0-9.mga7
+ Revision: 1160503
- add BR on perl(inc::Module::Install::DSL)

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-8.mga6
+ Revision: 1031585
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.100.0-7.mga6
+ Revision: 948906
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.100.0-6.mga5
+ Revision: 788585
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 744434
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 685770
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 513667
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 371063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 1.100.0-1.mga2
+ Revision: 213118
- update to 1.10

* Thu Oct 27 2011 takashi <takashi> 1.90.0-1.mga2
+ Revision: 158530
- update to 1.90

* Thu Oct 13 2011 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 154417
- update to 1.08

* Fri Jan 21 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 29167
- mageia rebuild
- imported package perl-ORLite-Migrate

